Subject: upload 12.0 updates from XOE
Author: Ivan Yelizariev
Committer: Ivan Yelizariev

Date Level Type Message
2019-07-18 13:01:44 INFO runbot init Init build environment
2019-07-18 13:01:44 INFO runbot checkout ignore repo "misc-addons" as all modules are already in addons-dev branch
2019-07-18 13:01:44 INFO runbot checkout closest branch for odoo/odoo is refs/heads/12.0
2019-07-18 13:01:44 INFO runbot checkout closest branch for it-projects-llc/web is refs/heads/12.0
2019-07-18 13:01:44 INFO runbot checkout closest branch for it-projects-llc/website-addons is refs/heads/12.0
2019-07-18 13:01:44 INFO runbot checkout closest branch for it-projects-llc/pos-addons is refs/heads/12.0
2019-07-18 13:01:44 INFO runbot checkout closest branch for it-projects-llc/l10n-addons is refs/heads/12.0
2019-07-18 13:01:44 INFO runbot checkout closest branch for it-projects-llc/access-addons is refs/heads/12.0
2019-07-18 13:01:44 INFO runbot checkout closest branch for it-projects-llc/mail-addons is refs/heads/12.0
2019-07-18 13:01:44 INFO runbot checkout closest branch for it-projects-llc/rental-addons is master
2019-07-18 13:01:44 INFO runbot checkout closest branch for it-projects-llc/website is master
2019-07-18 13:01:44 INFO runbot checkout closest branch for it-projects-llc/hr is refs/heads/12.0
2019-07-18 13:01:44 INFO runbot checkout closest branch for it-projects-llc/reporting-engine is master
2019-07-18 13:01:44 INFO runbot checkout closest branch for OCA/event is refs/heads/12.0
2019-07-18 13:01:44 INFO runbot checkout closest branch for OCA/partner-contact is refs/heads/12.0
2019-07-18 13:01:44 INFO runbot checkout modules to install: [u'openapi']
2019-07-18 13:02:26 INFO runbot check_branch_name success
2019-07-18 13:02:29 INFO runbot test_base Test Updated and explicit modules
2019-07-18 13:02:29 INFO runbot _install_and_test DB: 01579-684-0e24b6-base, Modules: openapi
2019-07-18 13:02:58 WARNING server odoo.models:529 _build_model_attributes The model openapi.log has no _description
2019-07-18 13:02:58 WARNING server odoo.models:529 _build_model_attributes The model openapi.namespace has no _description
2019-07-18 13:02:58 WARNING server odoo.addons.base.models.ir_model:838 _reflect_model Two fields (model, model_id) of openapi.access() have the same label: Model.
2019-07-18 13:02:59 ERROR server odoo.tools.convert.init:115 _eval_xml Could not eval([(4, ref('group_open_api_user'))]) for implied_ids in {}
2019-07-18 13:02:59 WARNING server odoo.modules.loading:540 reset_modules_state Transient module states were reset
2019-07-18 13:02:59 ERROR server odoo.modules.registry:91 new
Failed to load registry
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/cache.py", line 88, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.model.data', <function IrModelData.xmlid_lookup at 0x7f73417126a8>, 'openapi.group_open_api_user')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/safe_eval.py", line 350, in safe_eval
    return unsafe_eval(c, globals_dict, locals_dict)
  File "", line 1, in <module>
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 741, in id_get
    res = self.model_id_get(id_str, raise_if_not_found)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 747, in model_id_get
    return self.env['ir.model.data'].xmlid_to_res_model_res_id(id_str, raise_if_not_found=raise_if_not_found)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/addons/base/models/ir_model.py", line 1404, in xmlid_to_res_model_res_id
    return self.xmlid_lookup(xmlid)[1:3]
  File "<decorator-gen-25>", line 2, in xmlid_lookup
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/addons/base/models/ir_model.py", line 1393, in xmlid_lookup
    raise ValueError('External ID not found in the system: %s' % xmlid)
ValueError: External ID not found in the system: openapi.group_open_api_user

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 758, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 652, in _tag_record
    f_val = _eval_xml(self, field, self.env)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 112, in _eval_xml
    return safe_eval(a_eval, idref2)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 27, in <lambda>
    safe_eval = lambda expr, ctx={}: s_eval(expr, ctx, nocopy=True)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/safe_eval.py", line 373, in safe_eval
    pycompat.reraise(ValueError, ValueError('%s: "%s" while evaluating\n%r' % (ustr(type(e)), ustr(e), expr)), exc_info[2])
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/safe_eval.py", line 350, in safe_eval
    return unsafe_eval(c, globals_dict, locals_dict)
  File "", line 1, in <module>
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 741, in id_get
    res = self.model_id_get(id_str, raise_if_not_found)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 747, in model_id_get
    return self.env['ir.model.data'].xmlid_to_res_model_res_id(id_str, raise_if_not_found=raise_if_not_found)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/addons/base/models/ir_model.py", line 1404, in xmlid_to_res_model_res_id
    return self.xmlid_lookup(xmlid)[1:3]
  File "<decorator-gen-25>", line 2, in xmlid_lookup
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/addons/base/models/ir_model.py", line 1393, in xmlid_lookup
    raise ValueError('External ID not found in the system: %s' % xmlid)
ValueError: <class 'ValueError'>: "External ID not found in the system: openapi.group_open_api_user" while evaluating
"[(4, ref('group_open_api_user'))]"

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/modules/loading.py", line 421, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/modules/loading.py", line 313, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/modules/loading.py", line 222, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package, report=report)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/modules/loading.py", line 68, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 802, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 865, in convert_xml_import
    obj.parse(doc.getroot(), mode=mode)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 764, in parse
    exc_info[2]
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 758, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 652, in _tag_record
    f_val = _eval_xml(self, field, self.env)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 112, in _eval_xml
    return safe_eval(a_eval, idref2)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 27, in <lambda>
    safe_eval = lambda expr, ctx={}: s_eval(expr, ctx, nocopy=True)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/safe_eval.py", line 373, in safe_eval
    pycompat.reraise(ValueError, ValueError('%s: "%s" while evaluating\n%r' % (ustr(type(e)), ustr(e), expr)), exc_info[2])
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/safe_eval.py", line 350, in safe_eval
    return unsafe_eval(c, globals_dict, locals_dict)
  File "", line 1, in <module>
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 741, in id_get
    res = self.model_id_get(id_str, raise_if_not_found)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 747, in model_id_get
    return self.env['ir.model.data'].xmlid_to_res_model_res_id(id_str, raise_if_not_found=raise_if_not_found)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/addons/base/models/ir_model.py", line 1404, in xmlid_to_res_model_res_id
    return self.xmlid_lookup(xmlid)[1:3]
  File "<decorator-gen-25>", line 2, in xmlid_lookup
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/addons/base/models/ir_model.py", line 1393, in xmlid_lookup
    raise ValueError('External ID not found in the system: %s' % xmlid)
odoo.tools.convert.ParseError: "<class 'ValueError'>: "External ID not found in the system: openapi.group_open_api_user" while evaluating
"[(4, ref('group_open_api_user'))]"" while parsing /mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/addons/openapi/security/user_groups.xml:9, near
<record id="group_open_api_manager" model="res.groups">
        <field name="name">Manager</field>
        <field name="category_id" ref="module_category_openapi"/>
        <field name="implied_ids" eval="[(4, ref('group_open_api_user'))]"/>
    </record>
2019-07-18 13:02:59 CRITICAL server odoo.service.server:1144 preload_registries
Failed to initialize database `01579-684-0e24b6-base`.
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/cache.py", line 88, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.model.data', <function IrModelData.xmlid_lookup at 0x7f73417126a8>, 'openapi.group_open_api_user')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/safe_eval.py", line 350, in safe_eval
    return unsafe_eval(c, globals_dict, locals_dict)
  File "", line 1, in <module>
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 741, in id_get
    res = self.model_id_get(id_str, raise_if_not_found)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 747, in model_id_get
    return self.env['ir.model.data'].xmlid_to_res_model_res_id(id_str, raise_if_not_found=raise_if_not_found)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/addons/base/models/ir_model.py", line 1404, in xmlid_to_res_model_res_id
    return self.xmlid_lookup(xmlid)[1:3]
  File "<decorator-gen-25>", line 2, in xmlid_lookup
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/addons/base/models/ir_model.py", line 1393, in xmlid_lookup
    raise ValueError('External ID not found in the system: %s' % xmlid)
ValueError: External ID not found in the system: openapi.group_open_api_user

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 758, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 652, in _tag_record
    f_val = _eval_xml(self, field, self.env)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 112, in _eval_xml
    return safe_eval(a_eval, idref2)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 27, in <lambda>
    safe_eval = lambda expr, ctx={}: s_eval(expr, ctx, nocopy=True)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/safe_eval.py", line 373, in safe_eval
    pycompat.reraise(ValueError, ValueError('%s: "%s" while evaluating\n%r' % (ustr(type(e)), ustr(e), expr)), exc_info[2])
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/safe_eval.py", line 350, in safe_eval
    return unsafe_eval(c, globals_dict, locals_dict)
  File "", line 1, in <module>
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 741, in id_get
    res = self.model_id_get(id_str, raise_if_not_found)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 747, in model_id_get
    return self.env['ir.model.data'].xmlid_to_res_model_res_id(id_str, raise_if_not_found=raise_if_not_found)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/addons/base/models/ir_model.py", line 1404, in xmlid_to_res_model_res_id
    return self.xmlid_lookup(xmlid)[1:3]
  File "<decorator-gen-25>", line 2, in xmlid_lookup
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/addons/base/models/ir_model.py", line 1393, in xmlid_lookup
    raise ValueError('External ID not found in the system: %s' % xmlid)
ValueError: <class 'ValueError'>: "External ID not found in the system: openapi.group_open_api_user" while evaluating
"[(4, ref('group_open_api_user'))]"

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/service/server.py", line 1116, in preload_registries
    registry = Registry.new(dbname, update_module=update_module)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/modules/loading.py", line 421, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/modules/loading.py", line 313, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/modules/loading.py", line 222, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package, report=report)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/modules/loading.py", line 68, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 802, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 865, in convert_xml_import
    obj.parse(doc.getroot(), mode=mode)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 764, in parse
    exc_info[2]
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 758, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 652, in _tag_record
    f_val = _eval_xml(self, field, self.env)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 112, in _eval_xml
    return safe_eval(a_eval, idref2)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 27, in <lambda>
    safe_eval = lambda expr, ctx={}: s_eval(expr, ctx, nocopy=True)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/safe_eval.py", line 373, in safe_eval
    pycompat.reraise(ValueError, ValueError('%s: "%s" while evaluating\n%r' % (ustr(type(e)), ustr(e), expr)), exc_info[2])
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/safe_eval.py", line 350, in safe_eval
    return unsafe_eval(c, globals_dict, locals_dict)
  File "", line 1, in <module>
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 741, in id_get
    res = self.model_id_get(id_str, raise_if_not_found)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/convert.py", line 747, in model_id_get
    return self.env['ir.model.data'].xmlid_to_res_model_res_id(id_str, raise_if_not_found=raise_if_not_found)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/addons/base/models/ir_model.py", line 1404, in xmlid_to_res_model_res_id
    return self.xmlid_lookup(xmlid)[1:3]
  File "<decorator-gen-25>", line 2, in xmlid_lookup
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/addons/base/models/ir_model.py", line 1393, in xmlid_lookup
    raise ValueError('External ID not found in the system: %s' % xmlid)
odoo.tools.convert.ParseError: "<class 'ValueError'>: "External ID not found in the system: openapi.group_open_api_user" while evaluating
"[(4, ref('group_open_api_user'))]"" while parsing /mnt/odoo-extra/runbot/static/build/01579-684-0e24b6/odoo/addons/openapi/security/user_groups.xml:9, near
<record id="group_open_api_manager" model="res.groups">
        <field name="name">Manager</field>
        <field name="category_id" ref="module_category_openapi"/>
        <field name="implied_ids" eval="[(4, ref('group_open_api_user'))]"/>
    </record>
2019-07-18 13:03:10 INFO runbot pylint_script Start pylint script
2019-07-18 13:03:10 INFO runbot pylint_script No config file detected
2019-07-18 13:03:21 INFO runbot test_all Testing all modules is not configured for this repo
2019-07-18 13:03:21 INFO runbot run Start running build 01579-684-0e24b6
2019-07-19 14:34:31 INFO runbot kill Kill build 01579-684-0e24b6